%%
clear all

%%
sys=tf([1],[0.05 0.6 1])
[Ac,Bc,Cc,Dc]=tf2ss(sys.num{1},sys.den{1});
sys2=ss(Ac,Bc,Cc,Dc);



%figure(1)
%clf
%step(sys)


T=0.01;
sys_z=c2d(sys2,T,'zoh');


%hold on
%step(sys_z)
%hold off

% A=sys_z.a;
% B=sys_z.b;
% C=sys_z.c;
% D=sys_z.d;

covarianze.Q=eye(2)*100; %stato
covarianze.R=1000000000;%uscita


set(sys_z,'UserData',covarianze)



Tf=30;
%%
poli=[-1 -1]*2;
K1=acker(Ac,-Bc,poli)
eig(Ac+Bc*K1)


%% Osservatore
% Sintesi dell'osservatore
poli=[-1 -1]*10;

K2=acker(Ac',Cc',poli)';
disp('Autovalori osservatore')
eig(Ac-K2*Cc)


Aoss=Ac-K2*Cc;
Boss=[K2 Bc];
Coss=eye(2);
Doss=zeros(2,2);
X0oss=[0 0];



%%
